[Bug 959856] [NEW] installing mod-wsgi doesn't create link in /etc/apache2/mods-enabled

Joe Talbott joe.talbott at canonical.com
Tue Mar 20 01:18:53 UTC 2012

Public bug reported:

As part of installing 'cobbler' on precise amd64 libapache2-mod-wsgi is
installed.  However the module isn't enabled in the apache2
configuration and apache2 doesn't start.

Error is:

Setting up apache2-mpm-worker (2.2.22-1ubuntu1) ...
 * Starting web server apache2                                                  Syntax error on line 10 of /etc/apache2/conf.d/cobbler.conf:
Invalid command 'WSGIScriptAliasMatch', perhaps misspelled or defined by a module not included in the server configuration
Action 'start' failed.
The Apache error log may have more information.
invoke-rc.d: initscript apache2, action "start" failed.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: libapache2-mod-wsgi 3.3-4build1
ProcVersionSignature: Ubuntu 3.2.0-19.30-generic 3.2.11
Uname: Linux 3.2.0-19-generic x86_64
ApportVersion: 1.94.1-0ubuntu2
Architecture: amd64
Date: Mon Mar 19 21:09:37 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
SourcePackage: mod-wsgi
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: mod-wsgi (Ubuntu)
     Importance: Undecided
         Status: New

** Tags: amd64 apport-bug precise

You received this bug notification because you are a member of Ubuntu
Server Team, which is subscribed to mod-wsgi in Ubuntu.

  installing mod-wsgi doesn't create link in /etc/apache2/mods-enabled

To manage notifications about this bug go to:

More information about the Ubuntu-server-bugs mailing list